<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Assembly Name="System.Xml" %>
<%@ Import Namespace="System.NewXml" %>

<script language="C#" runat=server>
public class XmlDocumentSample
{
	private string m_Document = "";
    private string m_UpdatedDocument = "";
	StringWriter writer;
	
	public string Start(String[] args)
	{
		m_Document = args[0];
		m_UpdatedDocument = args[1];
		StringWriter writer = new StringWriter();
		Console.SetOut(writer);

        try
        {
            // Create XmlDocument and load the XML from file
            XmlDocument xmldocument = new XmlDocument();
            xmldocument.Load (new XmlTextReader (m_Document));
            Console.WriteLine ("XmlDocument loaded with XML data successfully ...");
            Console.WriteLine();

            IncreasePrice(xmldocument.DocumentElement);

            // Write out data as XML
            xmldocument.Save(m_UpdatedDocument);
            Console.WriteLine();
            Console.WriteLine("Updated prices saved in file {0}", m_UpdatedDocument);
        }
        catch (Exception e)
        {
            Console.WriteLine ("Exception: {0}", e.ToString());
        }

		return writer.ToString();
	}

    public void IncreasePrice(XmlNode node)
    {       
        if (node.Name == "price")
        {
            node = node.FirstChild;
            Decimal price = Decimal.Parse(node.Value);
            // Increase all the book prices by 2%
            String newprice = Decimal.Format(price*(new Decimal(1.02)),"#.00");
            Console.WriteLine("Old Price = " + node.Value + "\tNew price = " + newprice);
            node.Value = newprice;
        }

        node = node.FirstChild;
        while (node != null)
        {
            IncreasePrice(node);
            node = node.NextSibling;
        }
    }
} 
</script>
<html>
<head>
      	<link rel="stylesheet" href="intro.css">
</head>
<body style="background-color:f6e4c6">

       	<form action="SaveXmlDocument.aspx" method="post" runat="server">
       	<font>Input file: </font> 
        <a href="/quickstart/howto/samples/Xml/SaveXmlDocument/books.xml">books.xml</a>
       	&nbsp;&nbsp;<font>Output file: </font> 
        <a href="/quickstart/howto/samples/Xml/SaveXmlDocument/updatebooks.xml">updatebooks.xml</a>
	<center>
		&nbsp;&nbsp;&nbsp;&nbsp;<asp:button type=submit text="Run" OnClick="SubmitBtn_Click" runat="server"/></br>
       	</form>
	</center>
	<p>

	<table align="center">
	<tr><th><span>Output from reading and saving file...</span></th></tr>
	<tr><th><span></span></th></tr>
	<tr><td><h4><xmp id="output" runat="server"/></h4></td></tr>
	</table>

</body>
</html>

<script language="C#" runat=server>

private void SubmitBtn_Click(Object sender, EventArgs e)
{
	string[] args ={Server.MapPath("books.xml"),Server.MapPath("updatebooks.xml")};

	XmlDocumentSample myXmlDocumentSample= new XmlDocumentSample();
	output.InnerHtml = myXmlDocumentSample.Start(args);
}
</script>
